﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Media.Effects;

namespace PerlinNoiseShader
{
    //only for tests
    public class TestShaderEffect:ShaderEffect
    {
        public readonly DependencyProperty colorProperty = DependencyProperty.Register("color", typeof(float[]), typeof(TestShaderEffect), new PropertyMetadata(new float[]{1,1,1}, PixelShaderConstantCallback(0)));
        public TestShaderEffect()
        {
            Uri u = new Uri(@"/PerlinNoiseShader;component/testshader.ps", UriKind.Relative);
            PixelShader = new PixelShader() { UriSource = u };
            UpdateShaderValue(colorProperty);
        }
        public float[] color
        {
            get { return (float[])GetValue(colorProperty); }
            set { SetValue(colorProperty, value); }
        }
    }
}
