﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace PerlinNoiseShader.Themes
{
    public class myTabItem : TabItem
    {
        public static readonly DependencyProperty ClickedBorderBrushProperty=DependencyProperty.Register("ClickedBorderBrush",typeof(Brush),typeof(myTabItem),new PropertyMetadata(new SolidColorBrush(Color.FromArgb(255,255,255,255))));
        public Brush ClickedBorderBrush
        {
            get { return (Brush)GetValue(ClickedBorderBrushProperty); }
            set { SetValue(ClickedBorderBrushProperty, value); }

        }
        
        public myTabItem()
        {
            
            this.DefaultStyleKey = typeof(myTabItem);
        }
    }
}
